Package es.imim.DISGENET.internal.automation.parameters

# Class GeneProjParams

java.lang.Object
es.imim.DISGENET.internal.automation.parameters.GeneProjParams

All Implemented Interfaces:
  `AutomationParams`

public class GeneProjParams extends Object implements AutomationParams

## Constructor Summary

Constructors
Constructor
Description
`GeneProjParams()`
`GeneProjParams(String source, String diseaseClass, String geneSearch)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDiseaseClass()`
`String`
`getGeneSearch()`
`String`
`getSource()`
`void`
`setDiseaseClass(String diseaseClass)`
`void`
`setGeneSearch(String geneSearch)`
`void`
`setSource(String source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GeneProjParams

public GeneProjParams()

### GeneProjParams

public GeneProjParams(String source, String diseaseClass, String geneSearch)

## Method Details

### getSource

public String getSource()

### setSource

public void setSource(String source)

### getDiseaseClass

public String getDiseaseClass()

### setDiseaseClass

public void setDiseaseClass(String diseaseClass)

### getGeneSearch

public String getGeneSearch()

### setGeneSearch

public void setGeneSearch(String geneSearch)